Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.rawserialization
Interface RawScribe

All Superinterfaces:
  BaseScribe, Destructable

All Known Subinterfaces:
  Scribe

All Known Implementing Classes:
  ScribeImpl

    public interface RawScribe

extends BaseScribe

Scribe that uses RawSerialization for the Clients

Author:
  Jeff Hoye

Method Summary
`void` | `anycast(Topic topic, RawScribeContent content)` Anycasts the given content to a member of the given topic
`void` | `anycast(Topic topic, RawScribeContent content, NodeHandle hint)` Anycasts the given content to a member of the given topic The hint helps us to implement centralized algorithms where the hint is the cachedRoot for the topic.
`ScribeContentDeserializer` | `getContentDeserializer()`
`void` | `publish(Topic topic, RawScribeContent content)` Publishes the given message to the topic.
`void` | `setContentDeserializer(ScribeContentDeserializer deserializer)`
`void` | `subscribe(java.util.Collection<Topic> topics, ScribeClient client, RawScribeContent content, NodeHandle hint)` Deprecated. use the version with the MultiClient
`void` | `subscribe(java.util.Collection<Topic> topics, ScribeMultiClient client, RawScribeContent content, NodeHandle hint)`
`void` | `subscribe(Topic topic, ScribeClient client, RawScribeContent content)` Deprecated. use subscribe(Topic, ScribeMultiClient, RawScribeContent, NodeHandle)
`void` | `subscribe(Topic topic, ScribeClient client, RawScribeContent content, NodeHandle hint)` Deprecated. use the version with the MultiClient
`void` | `subscribe(Topic topic, ScribeMultiClient client, RawScribeContent content, NodeHandle hint)`

Methods inherited from interface rice.p2p.scribe.BaseScribe
`addChild, containsChild, containsTopic, getChildren, getChildrenOfTopic, getClients, getClientsByTopic, getEnvironment, getParent, getPolicy, getRoot, getTopics, getTopicsByClient, getTopicsByClient, isRoot, numChildren, removeChild, setPolicy, subscribe, unsubscribe, unsubscribe, unsubscribe`

Methods inherited from interface rice.Destructable
`destroy`

Method Detail

### subscribe

    void subscribe(Topic topic,
                   ScribeClient client,
                   RawScribeContent content)

  Deprecated. use subscribe(Topic, ScribeMultiClient, RawScribeContent, NodeHandle)

  Subscribes the given client to the provided topic. Any message published to the topic will be delivered to the Client via the deliver() method.

  Parameters:
    `topic` - The topic to subscribe to
    `client` - The client to give messages to
    `content` - The content to include in the subscribe

### subscribe

    void subscribe(Topic topic,
                   ScribeClient client,
                   RawScribeContent content,
                   NodeHandle hint)

  Deprecated. use the version with the MultiClient

  Subscribes the given client to the provided topic. Any message published to the topic will be delivered to the Client via the deliver() method.

  Parameters:
    `topic` - The topic to subscribe to
    `client` - The client to give messages to
    `content` - The content to include in the subscribe
    `hint` - The first hop of the message ( Helpful to implement a centralized solution)

### subscribe

    void subscribe(Topic topic,
                   ScribeMultiClient client,
                   RawScribeContent content,
                   NodeHandle hint)

### subscribe

    void subscribe(java.util.Collection<Topic> topics,
                   ScribeClient client,
                   RawScribeContent content,
                   NodeHandle hint)

  Deprecated. use the version with the MultiClient

  Subscribe to multiple topics.

  Parameters:
    `topics` -
    `client` -
    `content` -
    `hint` - the first hop

### subscribe

    void subscribe(java.util.Collection<Topic> topics,
                   ScribeMultiClient client,
                   RawScribeContent content,
                   NodeHandle hint)

### publish

    void publish(Topic topic,
                 RawScribeContent content)

  Publishes the given message to the topic.

  Parameters:
    `topic` - The topic to publish to
    `content` - The content to publish

### anycast

    void anycast(Topic topic,
                 RawScribeContent content)

  Anycasts the given content to a member of the given topic

  Parameters:
    `topic` - The topic to anycast to
    `content` - The content to anycast

### anycast

    void anycast(Topic topic,
                 RawScribeContent content,
                 NodeHandle hint)

  Anycasts the given content to a member of the given topic The hint helps us to implement centralized algorithms where the hint is the cachedRoot for the topic. Additionally it enables us to do more fancy anycasts that explore more portions of the Scribe tree

  Parameters:
    `topic` - The topic to anycast to
    `content` - The content to anycast
    `hint` - the first hop of the Anycast

### setContentDeserializer

    void setContentDeserializer(ScribeContentDeserializer deserializer)

### getContentDeserializer

    ScribeContentDeserializer getContentDeserializer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.